## EMBOSS: freak

# Program freak

## Function

Residue/base frequency table or plot

## Description

freak takes one or more sequences as input and a set of bases or residues to search for. It then calculates the frequency of these bases/residues in a window as it moves along the sequence. The frequency is output to a data file or (optionally) plotted.

The default set of bases is 'cg' which will calculate the frequency of 'G' + 'C' bases within the default moving window of 30 bases.

## Usage

Here is a sample session with freak:

    % freak embl:hsfau
    Residue/base frequency table or plot
    Residue letters [gc]:
    Output file [hsfau.freak]:

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-seqall]            seqall     Sequence database USA
       -letters            string     Residue letters
    *  -graph              xygraph    Graph type
    *  -outfile            outfile    Output file name

       Optional qualifiers:
       -step               integer    Stepping value
       -window             integer    Averaging window

       Advanced qualifiers:
       -plot               bool       Produce graphic

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-seqall] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
-letters | Residue letters | Any string is accepted | gc
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.freak
Optional qualifiers | Allowed values | Default
-step | Stepping value | Any integer value | 1
-window | Averaging window | Any integer value | 30
Advanced qualifiers | Allowed values | Default
-plot | Produce graphic | Yes/No | No

## Input file format

Normal sequence USAs.

## Output file format

The output from the above example is:

    FREAK of HSFAU from 1 to 518 Window 30 Step 1

    1          0.500000
    2          0.533333
    3          0.566667
    4          0.533333
    5          0.533333
    6          0.566667
    7          0.566667
    8          0.566667
    9          0.600000
    10         0.633333
    11         0.633333
    12         0.666667
    13         0.666667
    14         0.666667
    15         0.666667
    16         0.633333
    17         0.666667
    18         0.633333
    19         0.633333
    20         0.633333
    21         0.666667
    22         0.666667
    23         0.700000
    24         0.733333
    25         0.700000
    26         0.666667
    27         0.633333
    28         0.600000
    29         0.566667
    30         0.600000
    31         0.633333
    32         0.600000
    33         0.600000
    34         0.633333
    35         0.600000
    36         0.600000

[listing truncated for brevity]

The ouput consists of a title line and then two columns containing the position of the start of the window and then the frequency in that window of the bases or residues being searched for.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranseq | Back translate a protein sequence
banana | Bending and curvature plot in B-DNA
btwisted | Calculates the twisting in a B-DNA sequence
chaos | Create a chaos game representation plot for a sequence
charge | Protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein sequence
compseq | Counts the composition of dimer/trimer/etc words in a sequence
dan | Calculates DNA RNA/DNA melting temperature
emowse | Protein identification by mass spectrometry
iep | Calculates the isoelectric point of a protein
isochore | Plots isochores in large DNA sequences
mwfilter | Filter noisy molwts from mass spec output
octanol | Displays protein hydropathy
pepinfo | Plots simple amino acid properties in parallel
pepstats | Protein statistics
pepwindow | Displays protein hydropathy
pepwindowall | Displays protein hydropathy of a set of sequences
wordcount | Counts words of a specified size in a DNA sequence

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Wriiten (Aug 2000) Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments